Bug 65864 - nkf [file] doesn't give output anymore
nkf [file] doesn't give output anymore
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-06-03 04:09 EDT by Jens Petersen
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-25 01:30:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
strace output (1.83 KB, text/plain)
2002-06-03 04:11 EDT, Jens Petersen
no flags Details
patch to let glibc allocate the input file buffer (404 bytes, patch)
2002-06-03 04:53 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Jens Petersen 2002-06-03 04:09:12 EDT
Description of Problem:
When nkf is applied to a filename it only "outputs" a sequence of "\o"s
(16KiB of them).

Version-Release number of selected component (if applicable):

How Reproducible:
Every time.

Steps to Reproduce:
1. nkf some/file

Actual Results:
No output appears on a terminal.

Expected Results:
The filtered output should appear on the terminal.

Additional Information:
"nkf < some/file" works correctly without any problem.

I think this problem is likely caused by the change of malloc in glibc-2.3.

I spotted this problem because semi.spec uses nkf to convert the encoding of
its Japanese info file, and this problem breaks that.
Comment 1 Jens Petersen 2002-06-03 04:11:23 EDT
Created attachment 59344 [details]
strace output
Comment 2 Jens Petersen 2002-06-03 04:53:58 EDT
Created attachment 59345 [details]
patch to let glibc allocate the input file buffer
Comment 3 Jens Petersen 2002-06-03 04:57:37 EDT
With this patch it seems to work fine, though I don't really see why it
doesn't work with the buffer nkf allocates for input.
Comment 5 Jens Petersen 2002-06-25 01:30:49 EDT
a workaround like the above was added to nkf in 1.92-9
Comment 6 Jakub Jelinek 2002-07-03 14:55:55 EDT
This should be fixed in glibc-2.2.90-14.
Comment 7 Jens Petersen 2002-07-08 04:33:58 EDT
Thanks.  I checked it is working, by rebuilding nkf without the
above patch, and indeed it appears to work just fine. So I guess
the patch could be dropped the next time the nkf package is updated.

Note You need to log in before you can comment on or make changes to this bug.